/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 获取记账本余额 GET /api/Alipay/AccountBookQuery */
export async function accountBookQuery(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIaccountBookQueryParams,
  options?: API.RequestConfig
) {
  return request<string>('/api/Alipay/AccountBookQuery', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 支付宝充值申请 POST /api/Alipay/AlipayRecharge */
export async function alipayRecharge(body: API.AlipayRechargeInput, options?: API.RequestConfig) {
  return request<API.AlipayFundTransPagePayResponse>('/api/Alipay/AlipayRecharge', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取用户签约页面地址 GET /api/Alipay/GetUserAgreementPageSign */
export async function getUserAgreementPageSign(options?: API.RequestConfig) {
  return request<string>('/api/Alipay/GetUserAgreementPageSign', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 获取支付宝开户状态 GET /api/Alipay/UserAgreementQuery */
export async function userAgreementQuery(options?: API.RequestConfig) {
  return request<number>('/api/Alipay/UserAgreementQuery', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 支付宝个人代扣协议解约接口 GET /api/Alipay/UserAgreementUnsign */
export async function userAgreementUnsign(options?: API.RequestConfig) {
  return request<number>('/api/Alipay/UserAgreementUnsign', {
    method: 'GET',
    ...(options || {}),
  });
}
